cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-7616

SOLVED

SUPEE-7616

Hi, I've tried applying patches 7405 and 7616 today but have hit a fail. 7405 applied fine but 7616 has failed with this response -

 

sh PATCH_SUPEE-7616_CE_1.7.0.2-CE_1.4.2.0_v1-2016-01-20-03-11-31.sh
Checking if patch can be applied/reverted successfully...
-e ERROR: Patch can't be applied/reverted successfully.

patching file app/code/core/Mage/Usa/Model/Shipping/Carrier/Usps.php
Hunk #1 FAILED at 547.
Hunk #2 FAILED at 582.
Hunk #3 FAILED at 613.
Hunk #4 FAILED at 624.
Hunk #5 FAILED at 659.
Hunk #6 FAILED at 690.
Hunk #7 FAILED at 739.
Hunk #8 FAILED at 778.
Hunk #9 FAILED at 829.
Hunk #10 FAILED at 852.
Hunk #11 FAILED at 1421.
11 out of 11 hunks FAILED -- saving rejects to file app/code/core/Mage/Usa/Model/Shipping/Carrier/Usps.php.rej

No files appear to have been changed/created and the file app/code/core/Mage/Usa/Model/Shipping/Carrier/Usps.php.rej is not there. All other previous patches have been applied. Magento version is 1.7.0.2, I double checked I downloaded the correct version of the patch. Does anyone have any ideas or experienced similar issues?

Regards,

Jon

 

17 REPLIES

Re: SUPEE-7616

This has happenned to me on more than one site now.

Re: SUPEE-7616

The same happens to me although applying all the previous patch.... Is this patch so important? We do not use USPS so we can just disable it? Best.

 

Hunk #1 FAILED at 547.
Hunk #2 FAILED at 582.
Hunk #3 FAILED at 615.
Hunk #4 FAILED at 627.
Hunk #5 FAILED at 662.
Hunk #6 FAILED at 695.
Hunk #7 FAILED at 745.
Hunk #8 FAILED at 784.
Hunk #9 FAILED at 836.
Hunk #10 FAILED at 859.
Hunk #11 FAILED at 1428.
11 out of 11 hunks FAILED -- saving rejects to file app/code/core/Mage/Usa/Model/Shipping/Carrier/Usps.php.rej

Re: SUPEE-7616

can't even add clean USPS.php and patch 1868, 4334 and then 7616 -> 1868 fails...

Re: SUPEE-7616

This patch failed for me on 1.7.0.2

 

Re: SUPEE-7616

Oddly enough, All my Hunks Succeeded other than Hunk #1

Re: SUPEE-7616

The Magento installations that are having issues with SUPEE-7616 and

app/code/core/Mage/Usa/Model/Shipping/Carrier/Usps.php

patch failure were probably patched with MAGEBP-706_CE Shipping subsystem overhaul patch which was written in the good old days before it became standard to add output to app/etc/applied.patches.list and record its install. You will find that USPS.php is about a 75k file instead of 69k.

 

If the MAGEBP-706_CE patch was applied, then I'm afraid to say, you will find that installing 7616 is a manual affair with a manual entry to applied.patches.list noting its install.

Re: SUPEE-7616

You do not need SUPEE-7616 if you are not using USPS.

 

If you are using USPS and experiencing this issue, what @chiefair said makes sense, so I'd start there to see if this was the case for you.

--

Community Manager, Magento
Problem solved? Click Accept as Solution!
Still stuck? Check out our documentation: https://magento.com/resources/technical

Re: SUPEE-7616

The USPS patch chain is as follows, check app/etc/applied.patches.list for missing items

 

MAGEBP-706
SUPEE-1868
SUPEE-4334
SUPEE-6237
SUPEE-7616

 

Note: MAGEBP-706 was required for 1.6-1.7 and if I remember right, the USPS API V4 support was added to 1.8. It's NLA so if you're doing a bare reinstall of these versions for ancient website resurrection, you may need to forgo the patches and install the free WebShopApps USPS extension to get USPS API V4 support and SUPEE-1868 thru SUPEE-7616 USPS service changes.

 

MAGEBP-706 was the old ugly .patch file format, didn't add anything to applied.patches.list and is a prerequisite to all USPS patches that follow on the versions that needed it.

 

SUPEE-7616 requires the full chain of applicable previous patches for whatever version of Magento you are running.

SUPEE-7616 patch validation

1.9.2.2  supee-7616 patch files have been applied with no issues.(so far)

Where can this Supee-7616 patch installation be validated? is there a place to go check it?

 

~B.